
//in main
 /*
    set the special "flush zero" but (FS, bit 24) in the
    Control Status Register of the FPU of R4k and beyond
    so that the result of any underflowing operation will
    be clamped to zero, and no exception of any kind will
    be generated on the CPU.  This has no effect on 
    an R3000.
  */

  void flush_all_underflows_to_zero();
  {
#ifdef __sgi
    union fpc_csr f;
    f.fc_word = get_fpc_csr();
    f.fc_struct.flush = 1;
    set_fpc_csr(f.fc_word);
#else
/* On Linux, see /usr/include/i386/fpu_control.h and "man __setfpucw"
   It appears that the default for Linux generates no exceptions by default.
   Don't know about other platforms (or even about non-Slackware Linuces).
*/
#endif
  }
